Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 623146 - SELinux is preventing /usr/lib64/firefox-3.6/firefox "read" access on .spamassassin1808ytFuFctmp.
SELinux is preventing /usr/lib64/firefox-3.6/firefox "read" access on .spamas...
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: selinux-policy (Show other bugs)
6.1
All Linux
low Severity medium
: rc
: ---
Assigned To: Daniel Walsh
BaseOS QE Security Team
: RHELNAK, SELinux, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-11 09:05 EDT by Matěj Cepl
Modified: 2011-04-13 11:02 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-04-13 11:02:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matěj Cepl 2010-08-11 09:05:21 EDT
Absolutely no idea, what exactly I am doing wrong to deserve this. Just happens.
------------------------------
[SELinux je v tolerantním režimu. Přístup byl povolen.]

SELinux denied access requested by firefox. It is not expected that this access
is required by firefox and this access may signal an intrusion attempt. It is
also possible that the specific version or configuration of the application is
causing it to require additional access.

Povolení přístupu:

You can generate a local policy module to allow this access - see FAQ
(http://docs.fedoraproject.org/selinux-faq-fc5/#id2961385) Please file a bug
report.

Další informace:

Kontext zdroje                staff_u:staff_r:staff_t:s0-s0:c0.c1023
Kontext cíle                 system_u:object_r:spamd_tmp_t:s0
Objekty cíle                 .spamassassin1808ytFuFctmp [ file ]
Zdroj                         firefox
Cesta zdroje                  /usr/lib64/firefox-3.6/firefox
Port                          <Neznámé>
Počítač                    johanka.ceplovi.cz
RPM balíčky zdroje          firefox-3.6.8-1.el6
RPM balíčky cíle           
RPM politiky                  selinux-policy-3.7.19-36.el6
Selinux povolen               True
Typ politiky                  targeted
Vynucovací režim            Permissive
Název zásuvného modulu     catchall
Název počítače            johanka.ceplovi.cz
Platforma                     Linux johanka.ceplovi.cz
                              2.6.32-54.el6.jwltest.22.x86_64.debug #1 SMP Wed
                              Jul 28 17:48:33 EDT 2010 x86_64 x86_64
Počet upozornění           2
Poprvé viděno               St 11. srpen 2010, 09:00:02 EDT
Naposledy viděno             St 11. srpen 2010, 09:00:02 EDT
Místní ID                   4443766c-d8aa-4bfc-874b-30880ffd5be0
Čísla řádků              

Původní zprávy auditu      

node=johanka.ceplovi.cz type=AVC msg=audit(1281531602.9:58): avc:  denied  { read } for  pid=4933 comm="firefox" name=".spamassassin1808ytFuFctmp" dev=tmpfs ino=76216 scontext=staff_u:staff_r:staff_t:s0-s0:c0.c1023 tcontext=system_u:object_r:spamd_tmp_t:s0 tclass=file

node=johanka.ceplovi.cz type=AVC msg=audit(1281531602.9:58): avc:  denied  { open } for  pid=4933 comm="firefox" name=".spamassassin1808ytFuFctmp" dev=tmpfs ino=76216 scontext=staff_u:staff_r:staff_t:s0-s0:c0.c1023 tcontext=system_u:object_r:spamd_tmp_t:s0 tclass=file

node=johanka.ceplovi.cz type=SYSCALL msg=audit(1281531602.9:58): arch=c000003e syscall=2 per=8 success=yes exit=72 a0=7f1de0ad57e0 a1=0 a2=3375ca9ae8 a3=1 items=0 ppid=3201 pid=4933 auid=500 uid=500 gid=500 euid=500 suid=500 fsuid=500 egid=500 sgid=500 fsgid=500 tty=(none) ses=1 comm="firefox" exe="/usr/lib64/firefox-3.6/firefox" subj=staff_u:staff_r:staff_t:s0-s0:c0.c1023 key=(null)
Comment 2 RHEL Product and Program Management 2010-08-11 09:38:39 EDT
This issue has been proposed when we are only considering blocker
issues in the current Red Hat Enterprise Linux release.

** If you would still like this issue considered for the current
release, ask your support representative to file as a blocker on
your behalf. Otherwise ask that it be considered for the next
Red Hat Enterprise Linux release. **
Comment 3 RHEL Product and Program Management 2010-08-18 17:21:49 EDT
Thank you for your bug report. This issue was evaluated for inclusion
in the current release of Red Hat Enterprise Linux. Unfortunately, we
are unable to address this request in the current release. Because we
are in the final stage of Red Hat Enterprise Linux 6 development, only
significant, release-blocking issues involving serious regressions and
data corruption can be considered.

If you believe this issue meets the release blocking criteria as
defined and communicated to you by your Red Hat Support representative,
please ask your representative to file this issue as a blocker for the
current release. Otherwise, ask that it be evaluated for inclusion in
the next minor release of Red Hat Enterprise Linux.
Comment 4 RHEL Product and Program Management 2011-01-07 10:49:56 EST
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated
in the current release, Red Hat is unfortunately unable to
address this request at this time. Red Hat invites you to
ask your support representative to propose this request, if
appropriate and relevant, in the next release of Red Hat
Enterprise Linux. If you would like it considered as an
exception in the current release, please ask your support
representative.
Comment 5 Daniel Walsh 2011-04-13 10:31:30 EDT
Where is .spamassassin1808ytFuFctmp  Are you trying to read these files using firefox?
Comment 6 Matěj Cepl 2011-04-13 10:49:53 EDT
(In reply to comment #5)
> Where is .spamassassin1808ytFuFctmp  Are you trying to read these files using
> firefox?

Well, the bug is from the August 2010, I really don't remember why I have even installed SpamAssassin on my computer. Obviously I don't have RHEL on this notebook anymore and I have never really used SA for anything.

Matěj
Comment 7 Daniel Walsh 2011-04-13 11:02:02 EDT
Ok we will act like it never happened.  :^)

Note You need to log in before you can comment on or make changes to this bug.